Subject: [PATCH 0/4] Enable PCI controller for Keystone SoCs

From: [email-masked] (Murali Karicheri)
Date: Wed, 29 Oct 2014 11:02:52 -0400

On 10/28/2014 12:33 PM, Santosh Shilimkar wrote:
>
>
> On 10/28/2014 09:07 AM, Murali Karicheri wrote:
>> On 10/28/2014 12:06 PM, Murali Karicheri wrote:
>>> On 10/24/2014 01:51 PM, Murali Karicheri wrote:
>>>> Now that Keystone PCI driver is merged to v3.18, this patch series
>>>> add build options and DTS bindings to enable the driver for Keystone
>>>> SoCs.
>>>>
>>>> CC : Santosh Shilimkar<[email-masked]>
>>>> CC : Greg Kroah-Hartman<[email-masked]>
>>>> CC : Rob Herring<[email-masked]>
>>>> CC : Pawel Moll<[email-masked]>
>>>> CC : Mark Rutland<[email-masked]>
>>>> CC : Ian Campbell<[email-masked]>
>>>> CC : Kumar Gala<[email-masked]>
>>>> CC : Russell King<[email-masked]>
>>>> CC : devicetree at vger.kernel.org
>>>>
>>>> Murali Karicheri (4):
>>>> ARM: keystone: add pcie related options
>>>> ARM: keystone: defconfig: add options to enable PCI controller
>>>> ARM: keystone: dts: add DT bindings for PCI controller for port 0
>>>> ARM: keystone: dts: add DT bindings for PCI controller for port 1
>>>>
>>>> arch/arm/boot/dts/k2e.dtsi | 45 +++++++++++++++++++++++++++++++++++
>>>> arch/arm/boot/dts/keystone.dtsi | 45 
>>>> +++++++++++++++++++++++++++++++++++
>>>> arch/arm/configs/keystone_defconfig | 3 +++
>>>> arch/arm/mach-keystone/Kconfig | 2 ++
>>>> 4 files changed, 95 insertions(+)
>>>>
>>> Santosh,
>>>
>>> Could you review this and apply to your tree for merge by end of this
>>> week if this looks good and there are no comments?
>>>
>> Adding Santosh's personal email ID
>>
> Just use the listed kernel.org id while posting patches which needs
> my attention. Please repost the series again so that I have all the
> patches.
Will do
>
> Also what happened with the PCIE notifier related series ?
> If you have already proposed something, please loop me on the thread.
>
That is work in progress. I have got something working, but dma-ranges 
are also used in a different
way by the PCI sub systems on Power PC and require more thought on how 
this can be done cleanly.
I am investigating this currently.
> Thanks and Regards,
> Santosh

-- 
Murali Karicheri
Linux Kernel, Texas Instruments